[Rubygems-developers] Version number format

Jamis Buck jgb3 at email.byu.edu
Mon Mar 29 20:59:22 EST 2004


Chad Fowler wrote:

> The downside is you have to require_gem("captcha-snapshot"), but given the 
> way gems works, you would most likely only be doing this in one place, so 
> it wouldn't be a big deal to change when you get to general release for 
> libs that require the snapshot.
> 
> What do you think?

It sounds great, except for the part about having to require the 
'captcha-snapshot' gem. :(

Jim's suggestion, though, about appending the date (and possibly the 
time) appeals to me. Adding the date does make it clear that its not a 
"standard" release, and you still get the correct version comparisons 
AND the require_gem works as expected.

Plus, it requires no additional effort on anyone's part, since it 
already works that way. (right?)

-- 
Jamis Buck
jgb3 at email.byu.edu
http://www.jamisbuck.org/jamis

ruby -h | ruby -e 
'a=[];readlines.join.scan(/-(.)\[e|Kk(\S*)|le.l(..)e|#!(\S*)/) {|r| a << 
r.compact.first };puts "\n>#{a.join(%q/ /)}<\n\n"'


More information about the Rubygems-developers mailing list